- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.control.Button Class Reference

The smjg.libs.sdwf.control.Button class interfaces a push button control. More...

Inheritance diagram for smjg.libs.sdwf.control.Button:

List of all members.

## Public Member Functions
| this (Dialog parent, int id)
| Constructs a Button object to interface a given button control.
| this (WindowBase parent, int id, string text, Rect position)
| Constructs a button to be created at runtime.
void | makeDefault ()
| Sets this button to be the default button.

## Detailed Description

The smjg.libs.sdwf.control.Button class interfaces a push button control.

Status:
  done

## Constructor & Destructor Documentation

smjg.libs.sdwf.control.Button.this | ( | Dialog | parent,
|  | int | id |
| ) |  |  |

Constructs a Button object to interface a given button control.

Parameters:

  | parent | the dialog on which the control is placed.
  | id | numeric ID of the control.

Precondition:
  The parent interface element must already have been created. Button objects should be constructed in an overridden Dialog.setup method, not in the constructor of a Dialog subclass.

Status:
  done

Reimplemented from smjg.libs.sdwf.control.Control.

smjg.libs.sdwf.control.Button.this | ( | WindowBase | parent,
|  | int | id,
|  | string | text,
|  | Rect | position |
| ) |  |  |

Constructs a button to be created at runtime.

Parameters:

  | parent | the window or dialog on which the button will be placed.
  | id | numeric ID that the button will have.
  | text | the button's caption text.
  | position | the position on the parent window where the button will be placed.

Since:
  0.4

Status:
  done

## Member Function Documentation

void smjg.libs.sdwf.control.Button.makeDefault | ( |  | ) |

Sets this button to be the default button.

The default button is highlighted by a bold border, and can be activated using the Enter key.

Status:
  done

The documentation for this class was generated from the following file:

- control.d